import * as readdir from '@mrmlnc/readdir-enhanced';
import Reader from './reader';
import { ITask } from '../managers/tasks';
import { Entry, EntryItem } from '../types/entries';
export default class ReaderSync extends Reader<EntryItem[]> {
    /**
     * Use sync API to read entries for Task.
     */
    read(task: ITask): EntryItem[];
    /**
     * Returns founded paths.
     */
    api(root: string, task: ITask, options: readdir.Options): Entry[];
    /**
     * Api for dynamic tasks.
     */
    dynamicApi(root: string, options: readdir.Options): Entry[];
    /**
     * Api for static tasks.
     */
    staticApi(task: ITask): Entry[];
}
